require('globals');
const LMS = require("../shared/lms").LMS;
const lms = new LMS();

onmessage = function(msg) {
	var request = msg.data;
	var startAt = request.startAt;
	var fetchChunks = request.fetchChunks

	console.log("track worker startAt="+startAt+" chunk:"+fetchChunks);
	
	lms.getTracks( startAt, fetchChunks)
		.then( tracks => {
			console.log("track worker getTracks startAt="+startAt+" tracks="+tracks.length);
			postMessage( { success: true, tracksRead: tracks.length, tracks: tracks });
		})
		.catch(function(error) {
			console.log("track worker getTracks error="+error);
			postMessage( { success: false });
		});
	
	//postMessage( { success: true, tracksRead: config.settings.fetchChunks });

}